My Project: dgCollisionCompound::dgTreeArray Class Reference

My Project

Public Member Functions | List of all members
dgCollisionCompound::dgTreeArray Class Reference

`#include <dgCollisionCompound.h>`

Inheritance diagram for dgCollisionCompound::dgTreeArray:

## Public Member Functions

| dgTreeArray (dgMemoryAllocator *const allocator)
void | AddNode (dgNodeBase *const node, dgInt32 index, const dgCollisionInstance *const parent)
Public Member Functions inherited from dgTree< dgNodeBase *, dgInt32 >
| dgTree (dgMemoryAllocator *const allocator)
virtual | ~dgTree ()
dgMemoryAllocator * | GetAllocator () const
void | SetAllocator (dgMemoryAllocator *const allocator)
| operator dgInt32 () const
dgInt32 | GetCount () const
dgTreeNode * | GetRoot () const
dgTreeNode * | Minimum () const
dgTreeNode * | Maximum () const
dgTreeNode * | Find (dgInt32 key) const
dgTreeNode * | FindGreater (dgInt32 key) const
dgTreeNode * | FindGreaterEqual (dgInt32 key) const
dgTreeNode * | FindLessEqual (dgInt32 key) const
dgTreeNode * | GetNodeFromInfo (dgNodeBase * &info) const
dgTreeNode * | Insert (const dgNodeBase * &element, dgInt32 key, bool &elementWasInTree)
dgTreeNode * | Insert (const dgNodeBase * &element, dgInt32 key)
dgTreeNode * | Insert (dgTreeNode *const node, dgInt32 key)
dgTreeNode * | Replace (dgNodeBase * &element, dgInt32 key)
dgTreeNode * | ReplaceKey (dgInt32 oldKey, dgInt32 newKey)
dgTreeNode * | ReplaceKey (dgTreeNode *const node, dgInt32 key)
void | Remove (dgInt32 key)
void | Remove (dgTreeNode *const node)
void | RemoveAll ()
void | Unlink (dgTreeNode *const node)
void | SwapInfo (dgTree &tree)
bool | SanityCheck () const

## Constructor & Destructor Documentation

## § dgTreeArray()

dgCollisionCompound::dgTreeArray::dgTreeArray | ( | dgMemoryAllocator *const | allocator | ) |

## Member Function Documentation

## § AddNode()

void dgCollisionCompound::dgTreeArray::AddNode | ( | dgNodeBase *const | node,
|  | dgInt32 | index,
|  | const dgCollisionInstance *const | parent
| ) |  |

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/physics/dgCollisionCompound.h
- dynamics.mod/NewtonDynamics/source/physics/dgCollisionCompound.cpp